## libzeep 2.9.0

=== debian/changelog ===
libzeep (2.9.0-2) unstable; urgency=low

  * Work arounds for compilation failures on i386-hurd and s390
  * Added the include-binaries file to the svn repository.

 -- Maarten L. Hekkelman <m.hekkelman@cmbi.ru.nl>  Wed, 22 May 2012 10:00:00 +0200

libzeep (2.9.0-1) unstable; urgency=low

  * Initial release. (Closes: #671481)

 -- Maarten L. Hekkelman <m.hekkelman@cmbi.ru.nl>  Wed, 07 May 2012 10:00:00 +0200
