=== debian/control ===
Source: libzeep
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Maarten L. Hekkelman <m.hekkelman@cmbi.ru.nl>,
Build-Depends: debhelper (>= 7.0.50~),
               libboost-dev (>= 1.46.1),
               libboost-filesystem-dev (>= 1.46.1), 
               libboost-system-dev (>= 1.46.1), 
               libboost-regex-dev (>= 1.46.1), 
               libboost-math-dev (>= 1.46.1), 
               libboost-thread-dev (>= 1.46.1)
Standards-Version: 3.9.3
Section: libs
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/libzeep/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/libzeep/trunk/
DM-Upload-Allowed: yes
Homepage: http://www.cmbi.ru.nl/libzeep/

Package: libzeep-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libzeep2.9 (= ${binary:Version}),
         libboost-dev (>= 1.46.1),
         libboost-filesystem-dev (>= 1.46.1), 
         libboost-system-dev (>= 1.46.1), 
         libboost-regex-dev (>= 1.46.1), 
         libboost-thread-dev (>= 1.46.1)
Description: Development files for libzeep
 Libzeep is a C++ library providing a validating XML parser, XML DOM tree
 implementation, XPath 1.0 support and code to create SOAP/REST servers as
 well as a full web application framework.
 .
 libzeep was originally designed to create SOAP servers in C++ easily. The
 current incarnation provides a full validating XML parser creating a DOM tree
 that can be iterated using STL container like methods. The tree can be searched
 using XPath 1.0 queries.
 .
 There's also code to create SOAP and REST servers based allowing to export
 C++ methods as web services. And there's a full web application framework to
 create dynamic web sites in C++ and XHTML.
 .
 This specific package contains all files needed to develop new
 software using libzeep.

Package: libzeep2.9
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Library files for libzeep
 Libzeep is a C++ library providing a validating XML parser, XML DOM tree
 implementation, XPath 1.0 support and code to create SOAP/REST servers as
 well as a full web application framework.
 .
 libzeep was originally designed to create SOAP servers in C++ easily. The
 current incarnation provides a full validating XML parser creating a DOM tree
 that can be iterated using STL container like methods. The tree can be searched
 using XPath 1.0 queries.
 .
 There's also code to create SOAP and REST servers based allowing to export
 C++ methods as web services. And there's a full web application framework to
 create dynamic web sites in C++ and XHTML.
 .
 This package contains the shared library only.
