=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE := 1

%:
	dh $@ --parallel

.PHONY: override_dh_auto_build
override_dh_auto_build:
	$(MAKE) lib

.PHONY: override_dh_auto_install
override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/libzeep2.9 install-libs
	$(MAKE) DESTDIR=$(CURDIR)/debian/libzeep-dev install-dev

.PHONY: get-orig-source
get-orig-source:
	mkdir -p ../tarballs
	uscan --verbose --force-download --destdir=../tarballs
