## libzeep 3.0.2

=== debian/changelog ===
libzeep (3.0.2-7) unstable; urgency=medium

  [ Andreas Tille ]
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Drop useless get-orig-source target

  [ Giovanni Mascellani ]
  * Fix for Boost version 1.67.
    Closes: #911886

 -- Andreas Tille <tille@debian.org>  Fri, 26 Oct 2018 08:07:31 +0200

libzeep (3.0.2-6) unstable; urgency=medium

  [ Steve Langasek ]
  * update for g++7 + boost 1.65 compatibility
    Closes: #893352

  [ Andreas Tille ]
  * Standards-Version: 4.1.3
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Sun, 18 Mar 2018 16:23:56 +0100

libzeep (3.0.2-5) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * debhelper 10
  * Standards-Version: 4.1.1
  * Remove unused override
  * hardening=+all
  * Fix Spelling

 -- Andreas Tille <tille@debian.org>  Tue, 28 Nov 2017 08:39:17 +0100

libzeep (3.0.2-4) unstable; urgency=medium

  * Team upload.
  * d/p/libzeep-3.0-g++6-boost1.60.patch: correct compiling with 
    libboost1.60 in combination with g++ Closes: #824013
  * d/control: cme fix dpkg-control 
  * d/control: set secure url for repository viewer 

 -- Gert Wollny <gw.fossdev@gmail.com>  Fri, 13 May 2016 07:41:01 +0000

libzeep (3.0.2-3) unstable; urgency=medium

  * Rename library packages for g++5 ABI transition.
    (thanks for the patch to Steve Langasek <steve.langasek@ubuntu.com>)
    Closes: #791187

 -- Andreas Tille <tille@debian.org>  Sat, 08 Aug 2015 21:20:27 +0200

libzeep (3.0.2-2) unstable; urgency=medium

  * Add myself as Uploader
  * debhelper 9
  * cme fix dpkg-control
  * fix Homepage
  * d/copyright: sequence of paragraphs
  * fix linking order for ld --as-needed (Thanks for the patch to Logan Rosen
    <logan@ubuntu.com>)
    Closes: #773339

 -- Andreas Tille <tille@debian.org>  Mon, 09 Mar 2015 14:09:19 +0100

libzeep (3.0.2-1) unstable; urgency=low

  * New upstream release with fix for gcc 4.7 compiler

 -- Maarten L. Hekkelman <m.hekkelman@cmbi.ru.nl>  Tue, 25 Jun 2013 10:00:00 +0200

libzeep (3.0.1-1) unstable; urgency=low

  * New upstream release with fix for IBM S/390 (Closes: #710543)

 -- Maarten L. Hekkelman <m.hekkelman@cmbi.ru.nl>  Wed, 06 Jun 2013 10:00:00 +0200

libzeep (3.0.0-1) unstable; urgency=low

  * New upstream release
  * debian/control: remove obsolete DM-Upload-Allowed:
  * debian/control: set standadrd to 3.9.4 (no changes)

 -- Maarten L. Hekkelman <m.hekkelman@cmbi.ru.nl>  Wed, 29 May 2013 10:00:00 +0200
