=== debian/control ===
--- 
+++ 
@@ -1,30 +1,31 @@
 Source: libzeep
-Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Maarten L. Hekkelman <m.hekkelman@cmbi.ru.nl>,
-Build-Depends: debhelper (>= 7.0.50~),
-               libboost-dev (>= 1.46.1),
-               libboost-filesystem-dev (>= 1.46.1), 
-               libboost-system-dev (>= 1.46.1), 
-               libboost-regex-dev (>= 1.46.1), 
-               libboost-math-dev (>= 1.46.1), 
-               libboost-thread-dev (>= 1.46.1)
-Standards-Version: 3.9.3
+           Andreas Tille <tille@debian.org>
 Section: libs
-Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/libzeep/trunk/
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/libzeep/trunk/
-DM-Upload-Allowed: yes
-Homepage: http://www.cmbi.ru.nl/libzeep/
+Priority: optional
+Build-Depends: debhelper (>= 11~),
+               libboost-dev,
+               libboost-filesystem-dev,
+               libboost-system-dev,
+               libboost-regex-dev,
+               libboost-math-dev,
+               libboost-thread-dev
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/med-team/libzeep
+Vcs-Git: https://salsa.debian.org/med-team/libzeep.git
+Homepage: http://sourceforge.net/projects/libzeep/
 
 Package: libzeep-dev
+Architecture: any
 Section: libdevel
-Architecture: any
-Depends: ${misc:Depends}, libzeep2.9 (= ${binary:Version}),
-         libboost-dev (>= 1.46.1),
-         libboost-filesystem-dev (>= 1.46.1), 
-         libboost-system-dev (>= 1.46.1), 
-         libboost-regex-dev (>= 1.46.1), 
-         libboost-thread-dev (>= 1.46.1)
+Depends: ${misc:Depends},
+         libzeep3.0v5 (= ${binary:Version}),
+         libboost-dev,
+         libboost-filesystem-dev,
+         libboost-system-dev,
+         libboost-regex-dev,
+         libboost-thread-dev
 Description: Development files for libzeep
  Libzeep is a C++ library providing a validating XML parser, XML DOM tree
  implementation, XPath 1.0 support and code to create SOAP/REST servers as
@@ -42,9 +43,12 @@
  This specific package contains all files needed to develop new
  software using libzeep.
 
-Package: libzeep2.9
+Package: libzeep3.0v5
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
+Conflicts: libzeep3.0
+Replaces: libzeep3.0
 Description: Library files for libzeep
  Libzeep is a C++ library providing a validating XML parser, XML DOM tree
  implementation, XPath 1.0 support and code to create SOAP/REST servers as
