=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE := 1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_build:
	$(MAKE) lib

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/libzeep3.0v5 install-libs
	$(MAKE) DESTDIR=$(CURDIR)/debian/libzeep-dev install-dev
