=== debian/watch ===
# Note: May be it is better to point to sf.net ???

version=3
opts="pasv" \
ftp://ftp.cmbi.ru.nl/pub/software/libzeep/libzeep-([0-9.]+).t[bg]z  debian uupdate
