## libzeep 3.0.5

=== debian/changelog ===
libzeep (3.0.5-2build4) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Mar 2020 08:54:30 +0100

libzeep (3.0.5-2build3) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Mar 2020 21:21:36 +0100

libzeep (3.0.5-2build2) focal; urgency=medium

  * No-change rebuild against libboost-regex1.71.0-icu65

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 13 Feb 2020 19:02:03 +0000

libzeep (3.0.5-2build1) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 20:59:05 +0000

libzeep (3.0.5-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #929274)
    + Let dh_auto_build pass cross tools to make.
    + nostrip.patch: Defer all stripping to dh_strip.

  [ Andreas Tille ]
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Remove trailing whitespace in debian/changelog
  * Use secure URI in Homepage field.
  * Fix day-of-week for changelog entries 3.0.1-1, 2.9.0-2, 2.9.0-1.

 -- Andreas Tille <tille@debian.org>  Mon, 09 Sep 2019 12:56:43 +0200

libzeep (3.0.5-1) experimental; urgency=medium

  [ Maarten L. Hekkelman ]
  * New upstream version

  [ Andreas Tille ]
  * Standards-Version: 4.3.0

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Thu, 09 May 2019 11:25:15 +0200
