=== debian/control ===
--- 
+++ 
@@ -1,20 +1,28 @@
 Source: libzeep
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Maarten L. Hekkelman <m.hekkelman@cmbi.ru.nl>,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Maarten L. Hekkelman <maarten@hekkelman.com>,
            Andreas Tille <tille@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                libboost-dev,
                libboost-filesystem-dev,
                libboost-system-dev,
                libboost-regex-dev,
                libboost-math-dev,
-               libboost-thread-dev
-Standards-Version: 4.2.1
+               libboost-thread-dev,
+               libboost-program-options-dev,
+               libboost-random-dev,
+               libboost-tools-dev,
+               doxygen,
+               docbook-xsl,
+               docbook-website,
+               xsltproc
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/med-team/libzeep
 Vcs-Git: https://salsa.debian.org/med-team/libzeep.git
-Homepage: http://sourceforge.net/projects/libzeep/
+Homepage: https://github.com/mhekkel/libzeep
 
 Package: libzeep-dev
 Architecture: any
@@ -25,7 +33,9 @@
          libboost-filesystem-dev,
          libboost-system-dev,
          libboost-regex-dev,
-         libboost-thread-dev
+         libboost-thread-dev,
+         libboost-program-options-dev,
+         libboost-random-dev
 Description: Development files for libzeep
  Libzeep is a C++ library providing a validating XML parser, XML DOM tree
  implementation, XPath 1.0 support and code to create SOAP/REST servers as
