=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	dh $@
 
 override_dh_auto_build:
-	$(MAKE) lib
+	dh_auto_build -- lib
 
 override_dh_auto_install:
 	$(MAKE) DESTDIR=$(CURDIR)/debian/libzeep3.0v5 install-libs
