## libzeep 5.0.2

=== debian/changelog ===
libzeep (5.0.2-3) unstable; urgency=medium

  * Fix autopkgtest control file (needed one more dependency)

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Mon, 16 Nov 2020 14:18:01 +0100

libzeep (5.0.2-2) unstable; urgency=medium

  * Source only upload

 -- Andreas Tille <tille@debian.org>  Mon, 16 Nov 2020 08:21:10 +0100

libzeep (5.0.2-1) unstable; urgency=medium

  * Fix FTBFS (Closes: #974074)
  * New upstream release
  * Add autopkgtest

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Sat, 14 Nov 2020 12:44:57 +0100

libzeep (5.0.1-1) unstable; urgency=medium

  * Fix writing HTML, proper empty elements
  * Fix endian issue in SHA algorithm
  * more robust http tests
  * Fix FTBFS: (Closes: #973526)

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Mon, 09 Nov 2020 10:04:29 +0100

libzeep (5.0.0-3) unstable; urgency=medium

  * Update debian/control, moved depends from Build-Depends-indep to Build-Depends
  * Added mrc as requirement for build, suggestion for install

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Sat, 31 Oct 2020 10:26:02 +0100

libzeep (5.0.0-2) unstable; urgency=medium

  [ Maarten L. Hekkelman ]
  * strip source/options fix debian/copyright file
  * copyright of css file

 -- Andreas Tille <tille@debian.org>  Thu, 29 Oct 2020 15:27:27 +0100

libzeep (5.0.0-1) unstable; urgency=medium

  [ Maarten L. Hekkelman ]
  * New upstream release

  [ Andreas Tille ]
  * debhelper-compat 13 (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Tue, 08 Sep 2020 20:55:36 +0200
