=== debian/control ===
--- 
+++ 
@@ -1,41 +1,38 @@
 Source: libzeep
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Maarten L. Hekkelman <maarten@hekkelman.com>,
            Andreas Tille <tille@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
+               autoconf-archive,
                libboost-dev,
-               libboost-filesystem-dev,
+               libboost-program-options-dev,
+               libboost-date-time-dev,
                libboost-system-dev,
-               libboost-regex-dev,
-               libboost-math-dev,
-               libboost-thread-dev,
-               libboost-program-options-dev,
-               libboost-random-dev,
                libboost-tools-dev,
+               mrc,
                doxygen,
-               docbook-xsl,
                docbook-website,
-               xsltproc
-Standards-Version: 4.4.0
+               xsltproc,
+               fop
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/libzeep
 Vcs-Git: https://salsa.debian.org/med-team/libzeep.git
 Homepage: https://github.com/mhekkel/libzeep
+Rules-Requires-Root: no
 
 Package: libzeep-dev
 Architecture: any
 Section: libdevel
 Depends: ${misc:Depends},
-         libzeep3.0v5 (= ${binary:Version}),
+         libzeep5 (= ${binary:Version}),
          libboost-dev,
-         libboost-filesystem-dev,
+         libboost-program-options-dev,
+         libboost-date-time-dev,
          libboost-system-dev,
-         libboost-regex-dev,
-         libboost-thread-dev,
-         libboost-program-options-dev,
-         libboost-random-dev
+         pkg-config
+Suggests: libzeep-doc, mrc
 Description: Development files for libzeep
  Libzeep is a C++ library providing a validating XML parser, XML DOM tree
  implementation, XPath 1.0 support and code to create SOAP/REST servers as
@@ -53,13 +50,34 @@
  This specific package contains all files needed to develop new
  software using libzeep.
 
-Package: libzeep3.0v5
+Package: libzeep-doc
+Architecture: all
+Multi-Arch: foreign
+Section: doc
+Depends: ${misc:Depends}
+Suggests: libzeep-dev (>= ${binary:Version})
+Description: Documentation for libzeep
+ Libzeep is a C++ library providing a validating XML parser, XML DOM tree
+ implementation, XPath 1.0 support and code to create SOAP/REST servers as
+ well as a full web application framework.
+ .
+ libzeep was originally designed to create SOAP servers in C++ easily. The
+ current incarnation provides a full validating XML parser creating a DOM tree
+ that can be iterated using STL container like methods. The tree can be searched
+ using XPath 1.0 queries.
+ .
+ There's also code to create SOAP and REST servers based allowing to export
+ C++ methods as web services. And there's a full web application framework to
+ create dynamic web sites in C++ and XHTML.
+ .
+ This specific package contains the documentation you can use to develop new
+ software using libzeep.
+
+Package: libzeep5
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Conflicts: libzeep3.0
-Replaces: libzeep3.0
-Description: Library files for libzeep
+Description: Library file for libzeep
  Libzeep is a C++ library providing a validating XML parser, XML DOM tree
  implementation, XPath 1.0 support and code to create SOAP/REST servers as
  well as a full web application framework.
