=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE := 1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
# Fixing reproducible builds
LC_ALL := C.UTF-8
export LC_ALL

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-shared --enable-documentation

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/libzeep5 install-lib
	$(MAKE) DESTDIR=$(CURDIR)/debian/libzeep-dev install-dev
	$(MAKE) DESTDIR=$(CURDIR)/debian/libzeep-doc install-doc

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) test
endif

override_dh_install:
	## cleaning up dependency_libs filed in *.la files
	sed -i "/dependency_libs/ s/'.*'/''/" `find . -name '*.la'`
	dh_install
