## libzeep 5.1.7

=== debian/changelog ===
libzeep (5.1.7-1) unstable; urgency=medium

  * New upstream release.

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Thu, 03 Feb 2022 08:27:42 +0100

libzeep (5.1.4-1) unstable; urgency=medium

  * New upstream release, new cmake files
  * Fixed compilation with g++-11 (Closes: #984034, #984216)

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Wed, 29 Sep 2021 15:49:00 +0200

libzeep (5.1.3-1) unstable; urgency=medium

  * New upstream release, bringing reproducible builds and new SONAME.

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Wed, 08 Sep 2021 13:47:00 +0200

libzeep (5.1.2-1) unstable; urgency=medium

  * New upstream release (Closes: #984216)

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Fri, 03 Sep 2021 15:34:14 +0200
