=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 Section: libs
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               autoconf-archive,
+               cmake,
                libboost-dev,
                libboost-program-options-dev,
                libboost-date-time-dev,
+               libboost-regex-dev,
                libboost-system-dev,
                libboost-tools-dev,
                mrc,
@@ -26,7 +27,7 @@
 Architecture: any
 Section: libdevel
 Depends: ${misc:Depends},
-         libzeep5 (= ${binary:Version}),
+         libzeep5.1 (= ${binary:Version}),
          libboost-dev,
          libboost-program-options-dev,
          libboost-date-time-dev,
@@ -73,7 +74,7 @@
  This specific package contains the documentation you can use to develop new
  software using libzeep.
 
-Package: libzeep5
+Package: libzeep5.1
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
