=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/libzeep-$1\.tar\.gz/ \
  https://github.com/mhekkel/libzeep/tags .*/v?(\d\S+)\.tar\.gz
