=== debian/changelog ===
libzeep (5.1.8-1build1) noble; urgency=medium

  * No-change rebuild for boost defaults change

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 26 Dec 2023 07:48:52 +0000

libzeep (5.1.8-1) unstable; urgency=medium

  * New upstream release.

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Thu, 24 Nov 2022 12:40:13 +0100
