=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
                doxygen,
                docbook-website,
                xsltproc,
+               default-jre-headless,
                fop
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/libzeep
